[GELÖST] Bildanzeige Fehler und Dateiverschlüsselungsfrage.

Support für Extensions für phpBB 3.3.x von Entwickler OXPUS
MDuss
Beiträge: 122
Registriert: So 30. Dez 2012, 10:26

Re: Bildanzeige Fehler und Dateiverschlüsselungsfrage.

Beitrag von MDuss »

Alles klaro oxpus.

Ich habe eben mal einen Änderungsvorschlag getestet, aber ohne Wirkung.

MfG
MDuss
Zuletzt geändert von MDuss am So 13. Sep 2020, 14:34, insgesamt 1-mal geändert.
Benutzeravatar
oxpus
Chief handy-man
Beiträge: 2585
Registriert: Do 13. Dez 2007, 23:06
Wohnort: Irgendwo im I-Net
Kontaktdaten:

Re: Bildanzeige Fehler und Dateiverschlüsselungsfrage.

Beitrag von oxpus »

Code: Alles auswählen

Ich habe eben mal einen Änderungsvorschlag getestet, aber ohne Wirkung.
Was zu erwarten war...
Karsten Ude
Kein Support per Messenger, Email oder PN! Unaufgeforderte Nachrichten werden ignoriert!
No support per Messenger, Email or PM. Each unasked message will be ignored!
MDuss
Beiträge: 122
Registriert: So 30. Dez 2012, 10:26

Re: Bildanzeige Fehler und Dateiverschlüsselungsfrage.

Beitrag von MDuss »

Hi oxpus.

Also langsam werde ich echt verrückt.
Ich habe jetzt eben mal die original .htaccess für das thumbs verzeichnis von Version 8.0.4 bzw. früher geholt, also mit dem Inhalt

Code: Alles auswählen

<Files *>
	Order Allow,Deny
	Allow from All
</Files>
Und jetzt geht es.
Alle Vorschaubilder sind wieder da.

Die .htaccess aus dem Files Ordner ist auch original, also

Code: Alles auswählen

<Files *>
	Order Allow,Deny
	Deny from All
</Files>
Die .htaccess aus dem Stammverzeichnis vom Forum ist original, da habe ich nichts verändert.

Die .htaccess im Wurzelverzeichniss des Servers lautet wieder:

Code: Alles auswählen

php_value post_max_size 200M
php_value upload_max_filesize 200M
php_value max_execution_time 600

Deny from 66.249.66.177

Deny from 66.249.66.72

Deny from 66.249.66.74

Deny from 77.88.31.246

Deny from 115.52.225.92

Deny from 173.248.141.24

Deny from 174.129.237.157

Deny from 218.28.77.8

Deny from 222.88.245.83

Deny from 5.10.83
#@__HCP_END__@#

# Anything after the comment above is left alone
Ich versteh langsam gar nichts mehr.
Scheinbar verträgt sich hier etwas nicht mit deiner neuen .htaccess aus dem thumbs Verzeichnis.

MfG
MDuss
MDuss
Beiträge: 122
Registriert: So 30. Dez 2012, 10:26

Re: Bildanzeige Fehler und Dateiverschlüsselungsfrage.

Beitrag von MDuss »

HI nochmal.

Ich habe da eine kleine, eventuell Dumme Frage.

Du hast ja in deiner .htaccess eine Abfrage drinnen, um die Apache Version ab zu fragen. Ich meine das hier: <IfModule mod_version.c>

Ist es möglich, dass von der Serveradmin ebene her, so eine Abfrage unterbunden werden kann?

Denn du hast mir vorgeschlagen, um die Apache Version zu ermitteln, dass ich das hier machen soll:
<?php
$version = apache_get_version();
echo "$version\n";

Das hatte bei mir aber eine Fehlermeldung verursacht:
Fatal error: Uncaught Error: Call to undefined function apache_get_version() beziehen tut sich das ganze auf Line 2, also die Zeile
$version = apache_get_version();

Wenn es also von der Serveradmin Seite her möglich ist, dass man diese Abfrage blockieren kann, dann wäre es möglich, dass bei deinen If Abfragen gar nichts richtig ausgewertet werden kann, und somit generell die .htaccess vom files Ordner zum tragen kommt, die natürlich alles verbietet, weil die .htaccess aus dem thumbs Ordner nicht zur Anwendung kommen kann.

MfG
MDuss
MDuss
Beiträge: 122
Registriert: So 30. Dez 2012, 10:26

Re: Bildanzeige Fehler und Dateiverschlüsselungsfrage.

Beitrag von MDuss »

Ok, ich habe das Problem gefunden.

Die Ursache für mein Problemwar, das ich bei den .htaccess Dateien alte und neue Syntax gemischt hatte. Dadurch kam das System beim umschalten zwischen den Versionen durcheinander.

Die .htaccess Datei im Hauptverzeichnis meines Webservers war ja ganz ohne Berechtigungen:

Code: Alles auswählen

php_value post_max_size 200M
php_value upload_max_filesize 200M
php_value max_execution_time 600

Deny from 66.249.66.177

Deny from 66.249.66.72

Deny from 66.249.66.74

Deny from 77.88.31.246

Deny from 115.52.225.92

Deny from 173.248.141.24

Deny from 174.129.237.157

Deny from 218.28.77.8

Deny from 222.88.245.83

Deny from 5.10.83
#@__HCP_END__@#

# Anything after the comment above is left alone
Die .htaccess Datei im Stammverzeichnis des Forums war die original von phpbb, also nach der neuen Syntax mit Versionserkennung.

Die .htaccess Datei im files Ordner war nach dem alten System:

Code: Alles auswählen

<Files *>
	Order Allow,Deny
	Deny from All
</Files>
Und die .htaccess im thumbs Verzeichnis war wieder nach dem neuen System mit Versionserkennung:

Code: Alles auswählen

# With Apache 2.4 the "Order, Deny" syntax has been deprecated and moved from
# module mod_authz_host to a new module called mod_access_compat (which may be
# disabled) and a new "Require" syntax has been introduced to mod_authz_host.
# We could just conditionally provide both versions, but unfortunately Apache
# does not explicitly tell us its version if the module mod_version is not
# available. In this case, we check for the availability of module
# mod_authz_core (which should be on 2.4 or higher only) as a best guess.
<IfModule mod_version.c>
	<IfVersion < 2.4>
		<Files "*">
			Order Allow,Deny
			Allow from All
		</Files>
	</IfVersion>
	<IfVersion >= 2.4>
		<Files "*">
			Require all granted
		</Files>
	</IfVersion>
</IfModule>
<IfModule !mod_version.c>
	<IfModule !mod_authz_core.c>
		<Files "*">
			Order Allow,Deny
			Allow from All
		</Files>
	</IfModule>
	<IfModule mod_authz_core.c>
		<Files "*">
			Require all granted
		</Files>
	</IfModule>
</IfModule>
Und hier ist das ganze dann wohl endgültig durcheinander geraten. Denn nachdem im files Ordner die alte Syntax verwendet wurde, konnte der Apache im thumbs Ordner nicht mehr auf die neue Syntax umschalten, oder wie immer man das richtig nennt.

Jetzt sieht das ganze bei mir wie folgt aus:

.htaccess Datei im Wurzelverzeichnis meines Webservers:

Code: Alles auswählen

<IfVersion < 2.4>
		Order Allow,Deny
</IfVersion>
<IfVersion >= 2.4>
		Require all granted
</IfVersion>

php_value post_max_size 200M
php_value upload_max_filesize 200M
php_value max_execution_time 600

Deny from 66.249.66.177

Deny from 66.249.66.72

Deny from 66.249.66.74

Deny from 77.88.31.246

Deny from 115.52.225.92

Deny from 173.248.141.24

Deny from 174.129.237.157

Deny from 218.28.77.8

Deny from 222.88.245.83

Deny from 5.10.83
#@__HCP_END__@#

# Anything after the comment above is left alone
.htaccess DAtei im Stammverzeichnis des Forums: Original vom phpbb

.htaccess Datei im files Ordner (Original von phpbb 3.3.1)

Code: Alles auswählen

# With Apache 2.4 the "Order, Deny" syntax has been deprecated and moved from
# module mod_authz_host to a new module called mod_access_compat (which may be
# disabled) and a new "Require" syntax has been introduced to mod_authz_host.
# We could just conditionally provide both versions, but unfortunately Apache
# does not explicitly tell us its version if the module mod_version is not
# available. In this case, we check for the availability of module
# mod_authz_core (which should be on 2.4 or higher only) as a best guess.
<IfModule mod_version.c>
	<IfVersion < 2.4>
		<Files "*">
			Order Allow,Deny
			Deny from All
		</Files>
	</IfVersion>
	<IfVersion >= 2.4>
		<Files "*">
			Require all denied
		</Files>
	</IfVersion>
</IfModule>
<IfModule !mod_version.c>
	<IfModule !mod_authz_core.c>
		<Files "*">
			Order Allow,Deny
			Deny from All
		</Files>
	</IfModule>
	<IfModule mod_authz_core.c>
		<Files "*">
			Require all denied
		</Files>
	</IfModule>
</IfModule>
Und im thumbs Verzeichnis habe ich dann die Datei gelöscht und automatisch neu erstellen lassen.

Jetzt läuft alles wieder normal.
Das Problem war also in der mitte die .htaccess Datei im files Ordner.

Mein Problem war, dass ich von phpbb 3.3.0 auf 3.3.1 nur das Paket mit den geänderten Dateien herunter geladen hatte. Früher hatte ich immer das komplett Paket mit allem geholt. In dem abgespeckten Paket mit den geänderten Dateien war die geänderte .htaccess aber nicht mit enthalten, dadurch hatte ich diese auch nicht ersetzt. Und das ist mir jetzt, nachdem ich die Extension von 8.0.14 auf 8.1.4 aktualisiert hatte zum Verhängnis geworden.
Im Paket von 3.3.0 war noch die alte Syntax für die .htaccess verwendet worden für den files Ordner, aber in 3.3.1 ist die neue Syntax verwendet worden.
Das alleine wäre wohl kaum ein Problem gewesen, da beim betreten des files Ordner der Apache auf die alte Syntax umgeschaltet hatte.
Aber wenn jetzt der Unterordner mit den thumbs betreten wird, und hier wird die neue Syntax wieder verwendet, dann kann der Apache nicht mehr von der alten auf die neue Syntax umschalten, und somit ist die .htaccess im thumbs Ordner ungültig geworden.

In meinem Post eins oben drüber hatte ich das Problem umgangen, indem ich auch die Syntax der .htaccess im thumbs Verzeichnis auf die alte Syntax geändert hatte.

Also oxpus, das Problem hat sich damit jetzt wohl gelöst.

Die Dateien im Files Ordner sind auch geschützt. Wenn ich versuche eine Datei von dort per URL direkt zu erreichen, dann erhalte ich einen http 403 Error. Also alles wie es sein soll.

Nochmals vielen Dank für deine Hilfe und Geduld oxpus.

MfG
MDuss
Zuletzt geändert von MDuss am So 13. Sep 2020, 17:47, insgesamt 1-mal geändert.
Benutzeravatar
oxpus
Chief handy-man
Beiträge: 2585
Registriert: Do 13. Dez 2007, 23:06
Wohnort: Irgendwo im I-Net
Kontaktdaten:

Re: [GELÖST] Bildanzeige Fehler und Dateiverschlüsselungsfrage.

Beitrag von oxpus »

Also dann doch der Mischmasch von alter und neuer Definition zu den Zugriffsrechten.

Öhm, aber im Paket zur phpBB 3.3.1 liegt die neue Form der .htaccess im Ordner /files/ bei.
Hättest Du diese mit ersetzt, wäre es nicht zu diesem Problem gekommen...

Nun, Version 8.1.5 der Extension wird (wenn sie veröffentlich ist) keine eigene .htaccess mehr benötigen, so dass es zu solchen Fehlern erst gar nicht mehr kommt, egal wie was wo im Webserver definiert wurde.
Karsten Ude
Kein Support per Messenger, Email oder PN! Unaufgeforderte Nachrichten werden ignoriert!
No support per Messenger, Email or PM. Each unasked message will be ignored!
MDuss
Beiträge: 122
Registriert: So 30. Dez 2012, 10:26

Re: [GELÖST] Bildanzeige Fehler und Dateiverschlüsselungsfrage.

Beitrag von MDuss »

oxpus hat geschrieben: So 13. Sep 2020, 17:46 Öhm, aber im Paket zur phpBB 3.3.1 liegt die neue Form der .htaccess im Ordner /files/ bei.
Hättest Du diese mit ersetzt, wäre es nicht zu diesem Problem gekommen...
Hi oxpus.

Das gilt NUR für das komplett Paket von phpbb 3.3.1. Ich wollte mir dieses eine mal aber etwas Arbeit ersparen und habe mir nur das update Paket geholt, also das Paket, wo nur die seit der letzten Version geänderten Dateien enthält.
Und wie es der Teufel so will fehlt die .htaccess Datei für den files Ordner in diesem update Paket.

https://www.phpbb.de/downloads/pakete/

Und hier das Paket "geänderte Dateien" phpbb deutsch 3.3.1 [zip]
Ich hatte ja phpbb 3.3.0 und wollte zur 3.3.1. Aber ich habe ein paar kleine Änderungen an den Core Dateien gemacht (nur ein paar kleine kosmetische Sachen), und deshalb wollte ich diesmal das kleine Updatepaket probieren.

Für mich heißt es jetzt auf jeden Fall IMMER das komplett Paket holen, nie mehr das kleine Paket wo nur die geänderten Dateien enthält. Denn scheinbar kann hier mal was vergessen werden, und dann steht man dumm da und weiß nicht mehr vor und zurück.

Da will man sich einmal die Arbeit etwas erleichtern und holt sich nur das Paket mit den geänderten Dateien und bumm haut es alles durcheinander.

MfG
MDuss
Benutzeravatar
oxpus
Chief handy-man
Beiträge: 2585
Registriert: Do 13. Dez 2007, 23:06
Wohnort: Irgendwo im I-Net
Kontaktdaten:

Re: [GELÖST] Bildanzeige Fehler und Dateiverschlüsselungsfrage.

Beitrag von oxpus »

Um den Offtopic-Punkt zu vervollständigen und abzuschließen:
Empfohlen wird auch von phpBB.com immer die "Komplett-Methode" durchzuführen, also: https://www.phpbb.com/support/docs/en/3 ... upgrade32/
(Gilt stellvertretend auch für alle anderen Versionen, die man aktualisieren möchte)

Ich nutze dazu WinSCP, um die Dateien als GZip-Paket auf den Server zu laden, die alten Dateien anschließend zu löschen (da per SSH verbunden dauert das nur Sekunden), das neue Paket entpacken (die Datei-/Ordnerrechte sind dann zu prüfen, bzw. anzupassen) und das neue phpBB ist im Einsatz (abgesehen von dem dann noch ausstehenden DB-Update per /forumroot/install/app.php).

So aktualisiere ich mit weniger als 5 Minuten Ausfallzeit je Forum, da ich alle Vorbereitungen wie z. B. auch Updates am Style (wichtig: Das eigene Logo kann auch wieder ersetzt sein, wenn man das nicht vorher gegen das eigene Logo austauscht!) oder Updates an Extension vorab erledige, bevor ich das neue Paket hochlade.

Kurzum:
Mein persönlicher Rekord, meine beiden verbliebenen phpBB zu aktualisieren, liegt mit allen nötigen Vorbereitungen bei 14 Minuten (ich hatte das interessehalber mal gemessen, denn das war von 3.2.x auf 3.3.x. Im Schnitt bin ich aber faulheitsbedingt langsamer und brauche immer so ca. 20-25 Minuten. Bin dann aber auch vollständig fertig und die Foren waren dabei nie länger als 2-3 Minuten offline.
Karsten Ude
Kein Support per Messenger, Email oder PN! Unaufgeforderte Nachrichten werden ignoriert!
No support per Messenger, Email or PM. Each unasked message will be ignored!
Antworten